import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:moneymgr_mobile/services/storage/prefs.dart';

class ProfileScreen extends HookConsumerWidget {
  const ProfileScreen({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final data = ref.watch(prefsProvider);
    if (data.value == null) return CircularProgressIndicator();
    return Text("dd\n\n\n${data.value!.serverConfig()}");
  }
}
